<ecl-page-header
  class="header__wrapper ecl-u-mb-xl"
  [ngClass]="{ 'ecl-u-pb-xl': !requirementDetail || requirementDetail.domains.length === 0 }">
  <h1 eclPageHeaderTitle class="ecl-u-mb-l ecl-u-pt-s ecl-u-type-heading-3">{{ pageTitle | translate }}</h1>
  <div *ngIf="requirementDetail?.description" eclPageHeaderDescriptionContainer class="ecl-u-mb-l ecl-u-pv-none">
    <p eclPageHeaderDescription class="header__description">
      {{ requirementDetail.description | translate }}
    </p>
  </div>
  <div *ngIf="requirementDetail?.domains?.length > 0" class="header__domains-container">
    <span class="header__domains-title ecl-u-type-bold">{{ 'requirements-page.detail.domains-section.title' | translate }}</span>
    <div class="header__domains-tags-container">
      <span *ngFor="let domain of requirementDetail.domains">{{ domain.name }}</span>
    </div>
  </div>
</ecl-page-header>
<div class="ecl-container">
  <form *ngIf="!globalErrorState" eclFormGroup [formGroup]="filtersForm" class="filters__container ecl-u-mb-xl">
    <div class="filters__search">
      <input
        eclTextInput
        class="ecl-u-pr-4xl"
        type="search"
        [placeholder]="'requirements-page.detail.filters-section.search.placeholder' | translate"
        formControlName="search" />
      <button
        *ngIf="filteredValues.search"
        class="close-button"
        [attr.aria-label]="'aria-label.button.clear-input' | translate"
        (click)="onClearInputHandler()"
        ><ecl-icon icon="close"
      /></button>
      <div class="search-icon-container">
        <ecl-icon icon="search" size="m" color="primary" />
      </div>
    </div>
    <div class="filters__select ecl-u-mt-none">
      <select
        eclMultiselect
        eclSize="xl"
        [eclPlaceholder]="'requirements-page.detail.filters-section.select.placeholder' | translate"
        formControlName="select">
        <option
          eclMultiselectOption
          *ngFor="let option of multiselectOptions"
          [value]="option.value"
          [label]="option.label | translate"></option>
      </select>
    </div>
  </form>
  <ecl-tabs *ngIf="!globalErrorState" class="tabs">
    <ecl-tab isActive id="evidences" class="tabs__tab-container">
      <ecl-tab-label
        >{{ 'requirements-page.detail.evidences-tab' | translate
        }}<span eclLabel variant="highlight" class="ecl-u-ml-s tabs__count-label">{{ evidencesTotalCount }}</span></ecl-tab-label
      >
      <div *ngIf="!evidencesDataLoading" class="table__container">
        <app-table
          [tableData]="evidencesTableDataSource"
          [tableConfig]="evidencesTableConfig"
          [isMobile]="isMobile"
          [currentTextFilter]="filteredValues.search"
          [currentSelectFilters]="[{ columnId: 'country', filterValues: filteredValues.select }]"
          (rowClick)="onRowClickHandler($event, 'evidence')"
          (updateTotalItems)="updateTotalItems($event, 'evidence')"></app-table>
      </div>
      <div *ngIf="evidencesDataLoading" class="spinner-container ecl-u-mv-4xl">
        <ecl-loading-indicator class="spinner">
          <div eclSpinnerLabel>
            {{ 'common.spinner.label' | translate }}
          </div>
        </ecl-loading-indicator>
      </div>
    </ecl-tab>
    <ecl-tab id="procedures" class="tabs__tab-container">
      <ecl-tab-label
        >{{ 'requirements-page.detail.procedures-tab' | translate
        }}<span eclLabel variant="highlight" class="ecl-u-ml-s tabs__count-label">{{ proceduresTotalCount }}</span></ecl-tab-label
      >
      <div *ngIf="!proceduresDataLoading" class="table__container">
        <app-table
          [tableData]="proceduresTableDataSource"
          [tableConfig]="proceduresTableConfig"
          [isMobile]="isMobile"
          [currentTextFilter]="filteredValues.search"
          [currentSelectFilters]="[{ columnId: 'country', filterValues: filteredValues.select }]"
          (rowClick)="onRowClickHandler($event, 'procedure')"
          (updateTotalItems)="updateTotalItems($event, 'procedure')"></app-table>
      </div>
      <div *ngIf="proceduresDataLoading" class="spinner-container ecl-u-mv-4xl">
        <ecl-loading-indicator class="spinner">
          <div eclSpinnerLabel>
            {{ 'common.spinner.label' | translate }}
          </div>
        </ecl-loading-indicator>
      </div>
    </ecl-tab>
  </ecl-tabs>
  <app-message-box
    *ngIf="globalErrorState"
    [title]="messageBoxData.title"
    [description]="messageBoxData.description"
    [state]="messageBoxData.state"></app-message-box>
</div>
